
Installer - Feature #35149

Remove `--disable-system-checks` option

07/01/2022 12:27 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/791,

https://github.com/theforeman/foreman-i

nstaller/pull/797,

https://github.com/theforeman/foreman-p

ackaging/pull/8292

  

Description

Once these two changes are merged:

drop VM overcommit

introduce development profile to tuning

There will be nothing that needs the disable system checks option anymore and it can be removed entirely.

Related issues:

Related to Installer - Feature #29802: Replace --skip-check-i-know-better wit... Rejected

Blocked by Installer - Feature #35134: Introduce a development tuning profile Closed

Blocked by Installer - Feature #35133: Remove VM overcommit hook Closed

Associated revisions

Revision 10a30ba9 - 08/03/2022 11:12 AM - Eric Helms

Fixes #35149: Drop --disable-system-checks installer option

Revision 9f597913 - 08/04/2022 08:05 PM - Ewoud Kohl van Wijngaarden

Refs #35149 - Remove katello hook dirs

In 10a30ba937f8e4c4cbbad889a05e3f5a8965eaf5 the top level directory

katello was removed. This means the hook_dirs entry is no longer needed.

It also means the directory no longer needs to be copied during

installation.

Fixes: 10a30ba937f8e4c4cbbad889a05e3f5a8965eaf5

History

#1 - 07/01/2022 12:27 AM - Eric Helms

- Blocked by Feature #35134: Introduce a development tuning profile added

#2 - 07/01/2022 12:27 AM - Eric Helms

- Blocked by Feature #35133: Remove VM overcommit hook added

#3 - 07/01/2022 12:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/791 added
#4 - 08/03/2022 11:12 AM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#5 - 08/03/2022 12:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|10a30ba937f8e4c4cbbad889a05e3f5a8965eaf5.

#6 - 08/04/2022 06:27 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/797 added

#7 - 08/04/2022 06:31 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/8292 added

#8 - 08/04/2022 07:47 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #29802: Replace --skip-check-i-know-better with --disable-system-checks from katello/hooks added
